package extend.mj.tip;

import extend.mj.EXPlayer;

/**
 * 
 *
 * RuleBase.java
 */
public interface IRuleBase {
	
	/**
	 * @param player
	 * @return
	 */
	public abstract boolean condition(EXPlayer player );
	
	/**
	 * @param player
	 */
	public abstract void action(EXPlayer player ,Tip tip);

}
